import { StrykerOptions } from 'stryker-api/core';
import { Logger } from 'stryker-api/logging';
import * as babel from './helpers/babelWrapper';
export interface StrykerBabelConfig {
    extensions: ReadonlyArray<string>;
    options: babel.TransformOptions;
    optionsFile: string | null;
}
export declare const DEPRECATED_CONFIG_KEY_FILE = "babelrcFile";
export declare const DEPRECATED_CONFIG_KEY_OPTIONS = "babelConfig";
export declare const CONFIG_KEY = "babel";
export declare const FILE_KEY: keyof StrykerBabelConfig;
export declare const OPTIONS_KEY: keyof StrykerBabelConfig;
export declare const EXTENSIONS_KEY: keyof StrykerBabelConfig;
export declare class BabelConfigReader {
    private readonly log;
    static inject: ["logger"];
    constructor(log: Logger);
    readConfig(strykerOptions: StrykerOptions): StrykerBabelConfig;
    private loadDeprecatedOptions;
    private readBabelOptionsFromFile;
}
//# sourceMappingURL=BabelConfigReader.d.ts.map